Update subscription by id

Updates an existing subscription.

You can modify:

  • The technical contact email address
  • The list of topics this subscription is listening for

Note that you cannot update the consumer URL after creation. If you need to change the URL, you must delete this subscription and create a new one.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The unique identifier (UUID) of the subscription you want to interact with. This ID is returned when you create a subscription and can be retrieved from the GET /subscriptions endpoint.

Body Params
string

Updated email address for technical contact.

  • Used for notifications about subscription status changes
  • Used for troubleshooting communication
  • Should be monitored regularly
topicNames
array of strings

Updated list of topic names to subscribe to.

  • Must contain at least one valid topic name
  • Replaces the entire existing list of topics
  • Only events for these topics will be sent to your webhook
topicNames
Responses
204

The resource was updated successfully.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json